<?php
require 'conexao.php';
session_start();

// Verifique se o usuário não está logado
if (!isset($_SESSION['user_id'])) {
    // Redirecione-o para a página de login
    header("Location: login.php");
}




        // Validação e processamento do e-mail (não incluído neste exemplo)

        // Gerar código de recuperação
        $codigo_recuperacao = str_pad(random_int(0, 999999), 6, '0', STR_PAD_LEFT);

 $_SESSION['codigo'] = $codigo_recuperacao;

        // Envio do e-mail com o código de recuperação
        $destinatario = $_SESSION['email'];
        $assunto = 'Recuperação de Conta';
        $mensagem = 'A Datilla mandou esse código pra você: ' . $codigo_recuperacao;
        $headers = 'From: sistem@datilla.com' . "\r\n";
        mail($destinatario, $assunto, $mensagem, $headers);

        // Exibe mensagem de sucesso após o envio do e-mail e redireciona após 3,5 segundos
        echo '<h2>E-mail enviado com sucesso! Verifique seus SPANS.</h2>';
        echo '<script>setTimeout(function() { window.location.href = "verificar_codigo_login.php?email=' . urlencode($_POST['email']) . '"; }, 00);</script>';
    

?>

Foi